>From WinXP, I'm trying (for the first time) to connect to remote
solaris server.  Code as under:

-------------------------
require 'net/ssh'

session = Net::SSH.start( 'remote.solaris.server', 'user', 'pwd' )

session.close
-------------------------

I get the following error message:

-------------------------
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/userauth/pageant.rb:112:in
`initialize': pageant process not running (Net::SSH::Exception)
        from c:/amit/ruby/lib/ruby/1.8/dl/import.rb:174:in `new'
        from c:/amit/ruby/lib/ruby/1.8/dl/import.rb:174:in `new'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/userauth/pageant.rb:103:in
`open'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/userauth/agent.rb:70:in
`connect!'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/userauth/services.rb:54:in
`register_services'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/userauth/services.rb:40:in
`call'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/needle-1.2.0/lib/needle/service-point.rb:117:in
`instance'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/needle-1.2.0/lib/needle/container.rb:308:in
`[]'
         ... 8 levels...
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh/session.rb:120:in
`initialize'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh.rb:47:in
`new'
        from
c:/amit/ruby/lib/ruby/gems/1.8/gems/net-ssh-1.0.1/lib/net/ssh.rb:47:in
`start'
        from ssh1.rb:3
-------------------------

Any help would be greatly appreciated.

Thanks.

Amit